CVE-2004-1294
CVSS5.0
发布时间 :2005-01-10 00:00:00
修订时间 :2008-09-10 15:29:45
NMCOS    

[原文]The mget function in cmds.c for tnftp 20030825 allows remote FTP servers to overwrite arbitrary files via FTP responses containing file names with / (slash) characters.


[CNNVD]tnftp 远程文件覆盖漏洞(CNNVD-200501-096)

        tnftp是一个FTP客户端软件。
        tnftp 20030825的cmds.c中的mget函数存在漏洞。
        该漏洞可让远程FTP服务器通过包含具有'/'字符文件名的FTP响应来覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1294
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1294
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-096
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18560
(UNKNOWN)  XF  tnftp-mget-cmds-file-overwrite(18560)
http://tigger.uic.edu/~jlongs2/holes/tnftp.txt
(VENDOR_ADVISORY)  MISC  http://tigger.uic.edu/~jlongs2/holes/tnftp.txt

- 漏洞信息

tnftp 远程文件覆盖漏洞
中危 输入验证
2005-01-10 00:00:00 2005-10-20 00:00:00
远程  
        tnftp是一个FTP客户端软件。
        tnftp 20030825的cmds.c中的mget函数存在漏洞。
        该漏洞可让远程FTP服务器通过包含具有'/'字符文件名的FTP响应来覆盖任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://freshmeat.net/projects/tnftp/

- 漏洞信息

12466
tnftp mget() Function Traversal Arbitrary File Write
Input Manipulation

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-12-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

TNFTP FTP Client Directory Traversal Vulnerability
Input Validation Error 11965
Yes No
2004-12-15 12:00:00 2009-07-12 09:26:00
Yosef Klein disclosed this vulnerability.

- 受影响的程序版本

Luke Mewburn TNFTP 20030825
+ Gentoo Linux 1.4 _rc3
+ Gentoo Linux 1.4 _rc2
+ Gentoo Linux 1.4 _rc1
+ Gentoo Linux 1.4
+ Gentoo Linux 1.2
+ Gentoo Linux 1.1 a
+ Gentoo Linux 0.7
+ Gentoo Linux 0.5
+ Gentoo Linux

- 漏洞讨论

The tnftp FTP client is reported susceptible to a directory traversal vulnerability. This issue is due to a failure of the application to properly sanitize user-supplied input data.

This vulnerability results in the ability of the attacker controlling a malicious remote server being able to write to arbitrary locations on the client's computer with the privileges of the user invoking the vulnerable FTP client. Depending on the particular configuration of the vulnerable FTP client, new files may be created, files may be overwritten, or appended to. Depending on the configuration, this may also occur without confirmation.

- 漏洞利用

An exploit is not required.

- 解决方案

Gentoo has released an advisory and fixes. To upgrade to the latest version enter the following commands:

emerge --sync
emerge --ask --oneshot --verbose ">=net-ftp/tnftp-20050103"

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站